Home / Bukkit Plugins / CraftBukkit for Minecraft 1.6.2 DEVELOPMENT build is now available!

CraftBukkit for Minecraft 1.6.2 DEVELOPMENT build is now available!

A new CraftBukkit for Minecraft 1.6.2 DEVELOPMENT build is now available!

As of this post, we’ve shifted development over to Minecraft 1.6.2 compatibility and now have development builds available. We strongly suggest that you only use this build if you would like to help us get a Beta build out sooner and are experienced with using unsupported development builds. If you have to ask where or how to get the development build, you should NOT be running it and posts of that nature will be deleted.

WARNING: Minecraft 1.6.2 is an update that requires clients to update before being able to connect. This means that players will not be able to connect to your server if they have not updated to Minecraft 1.6.2.

Will plugins break with this build?
Minecraft 1.6.x has changed how health is stored for entities, which is something plugin developers have been relying on and expecting to never change. Usually a change of this kind would force us to completely break plugins, however, we’ve managed to come up with a way to support both the old and new health formats without any problems. This means that all the plugins that would have broken from this change will all work fine, giving plugin developers time to update their plugins properly and allowing you to keep your server running without any issues.

While we were busy updating CraftBukkit to Minecraft 1.6.1, we realised that the change to how health is handled would cause a lot of headaches for all our server admins and plugin developers, so we spent a lot of time trying to come up with a better way to handle this than simply breaking all plugins. We hope that all the hours we put into this solution will significantly improve your Minecraft 1.6.1 update experience.

Provided the developers of the plugins you are using are keeping up with the development of Bukkit, all your plugins should work fine. Unless we specifically have to break plugins or the plugins you are using are employing inappropriate practice’s, most plugins should work without needing an update whenever we put out a new release.

What is a Developer Build?
A Developer build is provided AS IS and COMPLETELY UNSUPPORTED. You should only be running these builds if you are completely aware of how to properly make use of them. Support requests of ANY KIND will be removed without warning. If you have to ask where or how to get the development build, you should NOT be running it and posts of that nature will be deleted.

Known Issues:

  • None

About pham chinh

Check Also

Holographic Displays Plugin 1.8.3

Features Create floating text lines! Floating icons! Fast and easy to use. Simple API for …